Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils.IntervalTree
Class IntervalNode

    java.lang.Object
      org.apache.cassandra.utils.IntervalTree.IntervalNode

    public class IntervalNode

extends java.lang.Object

Constructor Summary
`IntervalNode(java.util.List<Interval> toBisect)`

Method Summary
`void` | `findMinMedianMax(java.util.List<Interval> intervals)`
`java.util.List<Interval>` | `getIntersectingIntervals(java.util.List<Interval> candidates)`
`java.util.List<Interval>` | `getLeftIntervals(java.util.List<Interval> candidates)`
`java.util.List<Interval>` | `getRightIntervals(java.util.List<Interval> candidates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntervalNode

    public IntervalNode(java.util.List<Interval> toBisect)

Method Detail

### getLeftIntervals

    public java.util.List<Interval> getLeftIntervals(java.util.List<Interval> candidates)

### getRightIntervals

    public java.util.List<Interval> getRightIntervals(java.util.List<Interval> candidates)

### getIntersectingIntervals

    public java.util.List<Interval> getIntersectingIntervals(java.util.List<Interval> candidates)

### findMinMedianMax

    public void findMinMedianMax(java.util.List<Interval> intervals)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation